<%@ page session="false" import="org.opencms.jsp.*" %><%

// get required OpenCms objects
CmsJspLoginBean cms = new CmsJspLoginBean(pageContext, request, response);

// read parameters from the request
String username = request.getParameter("username");
String password = request.getParameter("password");
String action = request.getParameter("action");
boolean hideLoginForm = Boolean.valueOf(request.getParameter("hideloginform")).booleanValue();

// read properties
String login_project = cms.property("login_project", "search");
String login_redirect = cms.property("login_redirect", "search");

if ("logout".equals(action)) {
	cms.logout();
}

if (! cms.isLoggedIn() && ! hideLoginForm) {
// current user is not logged in - display the login form

	String message = "Please login:";

//TODO KONFIGURACE upresnit url - https://server:port, zbytek ponechame %>
<form action="https://<%= request.getServerName() %>/opencms/opencms/system/modules/org.opencms.welcome/elements/login_element_secure.jsp" method="LINK">

<table border="0" cellpadding="2" cellspacing="0">
<tr><td colspan="2"><%= message %></td><tr>
<tr><td><input type="submit" value="Login"></td></tr>
</table>

</form>
<%

} else if (! hideLoginForm) {

// current user is already logged in - display the logout form
%>
<form action="<%= cms.getFormLink() %>" method="POST">

<table border="0" cellpadding="2" cellspacing="0">
<tr><td>You are logged in as: <%= cms.getUserName() %></tr>
<tr><td><input type="submit" value="Logout"><input type="hidden" name="action" value="logout"></td></tr>
</table>

</form>

<script language="JavaScript" type="text/javascript">
document.onload = checkValidation();

function checkValidation(){
  var vr = getCookie("vr");
  if(vr == 1){
    alert ("Your cookie was stolen!\nPlease logout and make new login!");
  }
  if(vr == 2){
    alert ("You have a stolen session cookie!");
  <% //TODO KONFIGURACE upresnit url - https://server:port, zbytek ponechame %>
    window.location.href = "https://<%= request.getServerName() %>/opencms/opencms/system/modules/org.opencms.welcome/elements/login_element_secure.jsp";
  }
}

function getCookie(name) {
  var dc = document.cookie;
  var prefix = name + "=";
  var begin = dc.indexOf("; " + prefix);
  if (begin == -1) {
    begin = dc.indexOf(prefix);
    if (begin != 0) return null;
  } else {
    begin += 2;
  }
  var end = document.cookie.indexOf(";", begin);
  if (end == -1) end = dc.length;
  return unescape(dc.substring(begin + prefix.length, end));
}

</script>
<%
}
%>